Skip to main content
GET
List

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

virtual_mcp_server_id
string
required

Immutable identifier of the Virtual MCP Server.

Query Parameters

page_size
integer<int32>

Maximum number of results to return. The maximum is 100.

page_token
string

Pagination token returned by a previous request.

Response

200 - application/json

VirtualMCPToolBindingServiceListResponse contains one page of tool assignments.

VirtualMCPToolBindingServiceListResponse contains one page of tool assignments.

bindings
Virtual Mcp Tool Binding · object[] | null

Individual tool assignments on the Virtual MCP Server.

nextPageToken
string

Token to retrieve the next page. Empty when there are no more results.